SMTP-Postfächer
Sammel Erstellen Postfaecher
Erstellt Postfaches in bulk without returning passwords.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
/
bulk
Sammel Erstellen Postfaecher
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
'{
"created": [
{
"index": 123,
"mailbox": {
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
}
],
"failed": [
{
"code": "<string>",
"index": 123,
"message": "<string>"
}
]
}Autorisierungen
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Pfadparameter
Body
application/json
Anfragebody for bulk Postfach creation.
Antwort
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Zeitstempel für die Postfacherstellung
Domäne UUID für das Postfach
Domänenname für das Postfach
Vorname des Postfachbenutzers
Postfach UUID
Nachname des Postfachbenutzers
Lokaler Teil der Mailbox vor dem At-Zeichen
E-Mail-Adresse des primären Postfachs
Lebenszyklusstatus des Postfachs
Zeitstempel der letzten Postfachaktualisierung
Arbeitsbereich UUID für das Postfach
Anzeigename des Arbeitsbereichs
War diese Seite hilfreich?
⌘I
Sammel Erstellen Postfaecher
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
'{
"created": [
{
"index": 123,
"mailbox": {
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
}
],
"failed": [
{
"code": "<string>",
"index": 123,
"message": "<string>"
}
]
}